/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.tmx.valueobject;

/**
 * LISA TMX の tmx 要素をあらわすバリューオブジェクト。
 */
public class BlancoTmx {
    /**
     * フィールド [version]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.4"]<br>
     * バージョン属性。
     */
    private String fVersion = "1.4";

    /**
     * フィールド [header]
     *
     * 項目の型 [blanco.tmx.valueobject.BlancoTmxHeader]<br>
     * 規定値   [new blanco.tmx.valueobject.BlancoTmxHeader()]<br>
     * ヘッダ。
     */
    private BlancoTmxHeader fHeader = new blanco.tmx.valueobject.BlancoTmxHeader();

    /**
     * フィールド [body]
     *
     * 項目の型 [blanco.tmx.valueobject.BlancoTmxBody]<br>
     * 規定値   [new blanco.tmx.valueobject.BlancoTmxBody()]<br>
     * ボディ。
     */
    private BlancoTmxBody fBody = new blanco.tmx.valueobject.BlancoTmxBody();

    /**
     * フィールド [version]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * バージョン属性。
     *
     * @param argVersion フィールド[version]に格納したい値
     */
    public void setVersion(final String argVersion) {
        fVersion = argVersion;
    }

    /**
     * フィールド[version]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.4"]<br>
     * バージョン属性。
     *
     * @return フィールド[version]に格納されている値
     */
    public String getVersion() {
        return fVersion;
    }

    /**
     * フィールド [header]のセッターメソッド
     *
     * 項目の型 [blanco.tmx.valueobject.BlancoTmxHeader]<br>
     * ヘッダ。
     *
     * @param argHeader フィールド[header]に格納したい値
     */
    public void setHeader(final BlancoTmxHeader argHeader) {
        fHeader = argHeader;
    }

    /**
     * フィールド[header]のゲッターメソッド
     *
     * 項目の型 [blanco.tmx.valueobject.BlancoTmxHeader]<br>
     * 規定値   [new blanco.tmx.valueobject.BlancoTmxHeader()]<br>
     * ヘッダ。
     *
     * @return フィールド[header]に格納されている値
     */
    public BlancoTmxHeader getHeader() {
        return fHeader;
    }

    /**
     * フィールド [body]のセッターメソッド
     *
     * 項目の型 [blanco.tmx.valueobject.BlancoTmxBody]<br>
     * ボディ。
     *
     * @param argBody フィールド[body]に格納したい値
     */
    public void setBody(final BlancoTmxBody argBody) {
        fBody = argBody;
    }

    /**
     * フィールド[body]のゲッターメソッド
     *
     * 項目の型 [blanco.tmx.valueobject.BlancoTmxBody]<br>
     * 規定値   [new blanco.tmx.valueobject.BlancoTmxBody()]<br>
     * ボディ。
     *
     * @return フィールド[body]に格納されている値
     */
    public BlancoTmxBody getBody() {
        return fBody;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.tmx.valueobject.BlancoTmx[");
        buf.append("version=" + fVersion);
        buf.append(",header=" + fHeader);
        buf.append(",body=" + fBody);
        buf.append("]");
        return buf.toString();
    }
}
